Bug 1305686 - rhel-osp-director: Overcloud update from 7.2-> 7.3 fails "resources.SwiftDevicesAndProxyConfig: Property controller_swift_proxy_memcaches_v6 not assigned "
Summary: rhel-osp-director: Overcloud update from 7.2-> 7.3 fails "resources.SwiftDevi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: y3
: 7.0 (Kilo)
Assignee: Ryan Brown
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 1300847
TreeView+ depends on / blocked
 
Reported: 2016-02-08 21:52 UTC by Mike Burns
Modified: 2016-04-26 13:44 UTC (History)
15 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.6-117.el7ost
Doc Type: Bug Fix
Doc Text:
A bug in Heat caused validation of old parameters against the new template. Upgrades of Overclouds from Red Hat OpenStack Platform 7.2 to Red Hat OpenStack Platform 7.3 failed with the error: "resources.SwiftDevicesAndProxyConfig: Property controller_swift_proxy_memcaches_v6 not assigned". This fix add defaults to Swift parameters in the director's Heat template collection, which resolves the error.
Clone Of: 1300847
Environment:
Last Closed: 2016-02-18 16:52:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0264 normal SHIPPED_LIVE Red Hat Enterprise Linux OSP 7 director Bug Fix Advisory 2016-02-18 21:41:29 UTC

Comment 1 Ryan Brown 2016-02-09 00:48:59 UTC
I've pushed a patch for review, it would be great if QA could try an update with this patch applied to the new (7.3) tripleo-heat-templates to validate the fix before merging it.

Comment 3 Omri Hochman 2016-02-16 20:43:47 UTC
verified with: openstack-tripleo-heat-templates-0.8.6-120.el7ost.noarch

Comment 5 errata-xmlrpc 2016-02-18 16:52:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0264.html


Note You need to log in before you can comment on or make changes to this bug.